package com.ssj.service.kmt.exercisesys.request;

import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * @author yrf
 * @description
 * @time 2020/4/15 13:56
 */
public class ExerciseBookCountSubjectDetailReq extends PageReq {

    private static final long serialVersionUID = 3429621608912165044L;

    @ApiModelProperty(name = "status", value = "状态", required = true)
    @NotNull
    @Min(0)
    private Integer status;

    @ApiModelProperty(name = "subject", value = "科目（可选值：语文、数学、英语）", required = true)
    @NotBlank
    private String subject;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }
}
